import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (h, e, p, i) => {
  for (var t = i > 1 ? void 0 : i ? m(e, p) : e, r = h.length - 1, s; r >= 0; r--)
    (s = h[r]) && (t = (i ? s(e, p, t) : s(t)) || t);
  return i && t && f(e, p, t), t;
};
let o = class extends n {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--laptopHighlight", this.class = "c-pieIcon c-pieIcon--laptopHighlight", this.name = "IconLaptopHighlight";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--laptopHighlight"><path d="M13.031 9.094V4.5A1.54 1.54 0 0 0 11.5 2.969h-7A1.54 1.54 0 0 0 2.969 4.5v4.594h-1.75V11.5a1.54 1.54 0 0 0 1.531 1.531h10.5a1.54 1.54 0 0 0 1.531-1.531V9.094zM4.281 4.5a.22.22 0 0 1 .219-.219h7a.22.22 0 0 1 .219.219v4.594H4.28zm9.188 7a.22.22 0 0 1-.219.219H2.75a.22.22 0 0 1-.219-.219v-1.094H13.47z"></path></svg>`;
  }
};
l([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  g("icon-laptop-highlight")
], o);
export {
  o as IconLaptopHighlight
};
